<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\ContactMsg;
use App\Models\ContactUs;
use Illuminate\Http\Request;
use Validator;

class ContactUsController extends Controller
{
    public function get_contact_data(){
        $data = new ContactUs();
        $contact_data = $data->get_contact_data();
        if(!empty($contact_data)){
            return response()->json([
                'status'=>true,
                'data'=>$contact_data
            ]);
        }else{
            return response()->json([
                'status'=>true,
                'data'=>'There is no data'
            ]);
        }
    }

    public function send_contact_msg(Request $request){
        if($request->language == 'en'){
            $rules = [
                'fname'=>'required|string',
                'lname'=>'required|string',
                'phone'=>['required','numeric','regex:/^((079|078|077)[0-9]{7})$/'],
                'email'=> 'required|email',
                'message'=>'required'
            ];
            $messages = [
                'fname.required'=>'first name  is required',
                'lname.required'=>'last name is required'
            ];
            $validator = Validator::make($request->all(),$rules);
        }else{
            $rules = [
                'fname'=>'required|string',
                'lname'=>'required|string',
                'phone'=>['required','numeric','regex:/^((079|078|077)[0-9]{7})$/'],
                'email'=> 'required|email',
                'message'=>'required'
            ];
            $messages = [
                'fname.required' => ' يجب تعبئة الاسم الأول',
                'lname.required' => 'يجب تعبئة الاسم الأخير',
                'phone.required' => 'يجب تعبئة رقم الهاتف',
                'phone.numeric' => 'يجب أن يتكون رقم الهاتف من أرقام',
                'phone.regex' => 'رقم الهاتف خاطئ',
                'email.required' => 'يجب تعبئة البريد الالكتروني',
                'email.email' => 'الرجاء ادخال البريد الالكتروني بشكل صحيح',
                'message.required'=>'يجب تعبئة حقل الرسالة'
            ];
            $validator = Validator::make($request->all(),$rules,$messages);
        }



        if($validator->fails()){
            $inputs = array_keys($validator->errors()->toArray());
            return response()->json([
                'status'=>false,
                'Validations'=>$validator->errors()
            ]);
        }
        $data = new ContactMsg();
        $contact_data = $data->send_msg($request->fname,$request->lname,$request->phone,$request->email,$request->message);
        if($request->language == "en"){
            return response()->json([
                'status'=>true,
                'data'=>'Success'
            ]);
        }else{
            return response()->json([
                'status'=>true,
                'data'=>'تم الارسال'
            ]);
        }

    }

}
