<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\YourOpinion;
use Illuminate\Http\Request;
use Validator;
class YourOpinionController extends Controller
{
    public function your_opinion(YourOpinion $opinion , Request $request){
        if($request->language == 'en'){
            $rules = [
                'fname'=>'required|string',
                'lname'=>'required|string',
                'phone'=>['required','numeric','regex:/^((079|078|077)[0-9]{7})$/'],
                'email'=> 'required|email',
                'message'=>'required'
            ];
            $messages = [
                'fname.required'=>'first name  is required',
                'lname.required'=>'last name is required'
            ];
            $validator = Validator::make($request->all(),$rules);
        }else{
            $rules = [
                'fname'=>'required|string',
                'lname'=>'required|string',
                'phone'=>['required','numeric','regex:/^((079|078|077)[0-9]{7})$/'],
                'email'=> 'required|email',
                'message'=>'required'
            ];
            $messages = [
                'fname.required' => ' يجب تعبئة الاسم الأول',
                'lname.required' => 'يجب تعبئة الاسم الأخير',
                'phone.required' => 'يجب تعبئة رقم الهاتف',
                'phone.numeric' => 'يجب أن يتكون رقم الهاتف من أرقام',
                'phone.regex' => 'رقم الهاتف خاطئ',
                'email.required' => 'يجب تعبئة البريد الالكتروني',
                'email.email' => 'الرجاء ادخال البريد الالكتروني بشكل صحيح',
                'message.required'=>'يجب تعبئة حقل الرسالة'
            ];
            $validator = Validator::make($request->all(),$rules,$messages);
        }



        if($validator->fails()){
            $inputs = array_keys($validator->errors()->toArray());
            return response()->json([
                'status'=>false,
                'Validations'=>$validator->errors()
            ]);
        }

        $data = $opinion->storeMsg($request->fname,$request->lname,$request->phone,$request->email,$request->message);
        if($request->language == "en"){
            return response()->json([
                'status'=>true,
                'data'=>'Success'
            ]);
        }else{
            return response()->json([
                'status'=>true,
                'data'=>'تم الارسال'
            ]);
        }
    }
}
